Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.codes
Class AuditActiveParticipantRoleID

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
          org.eclipse.ohf.ihe.atna.audit.codes.AuditActiveParticipantRoleID

Direct Known Subclasses:
  AuditActiveParticipantRoleID.Application, AuditActiveParticipantRoleID.ApplicationLauncher, AuditActiveParticipantRoleID.Destination, AuditActiveParticipantRoleID.DestinationMedia, AuditActiveParticipantRoleID.Source, AuditActiveParticipantRoleID.SourceMedia

    public class AuditActiveParticipantRoleID

extends CodedValueType

Since:
  OHF 1.0.0
Author:
  Glenn Deen glenn@almaden.ibm.com

Nested Class Summary
`static class` | `AuditActiveParticipantRoleID.Application` "DCM","110150", "Application"
`static class` | `AuditActiveParticipantRoleID.ApplicationLauncher` "DCM","110151", "Application Launcher"
`static class` | `AuditActiveParticipantRoleID.Destination` "DCM","110152", "Destination"
`static class` | `AuditActiveParticipantRoleID.DestinationMedia` "DCM","110154", "Destination Media"
`static class` | `AuditActiveParticipantRoleID.Source` "DCM","110153", "Source"
`static class` | `AuditActiveParticipantRoleID.SourceMedia` "DCM","110155", "Source Media"

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`DB_Coded_Value_Type`

Method Summary

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`getCode, getCodeSystem, getCodeSystemName, getDisplayName, getOriginalText, isValidElement, parse, setCode, setCodeSystem, setCodeSystemName, setDisplayName, setOriginalText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD